Bug 1372731 - [RFE] Hammer should provide commands for showing host's ENC YAML
Summary: [RFE] Hammer should provide commands for showing host's ENC YAML
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Configuration Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Chris Brown
URL:
Whiteboard:
: 1392747 (view as bug list)
Depends On: 1362372 1405512
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-02 13:56 UTC by Tomas Strachota
Modified: 2019-11-05 23:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:26:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
enc-dump command (75.56 KB, image/png)
2018-07-20 15:00 UTC, Chris Brown
no flags Details
enc-dump output (1.88 KB, text/plain)
2018-07-20 15:01 UTC, Chris Brown
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:27:05 UTC
Foreman Issue Tracker 16423 None None None 2016-09-02 14:12:12 UTC

Description Tomas Strachota 2016-09-02 13:56:12 UTC
Description of problem:
There's no way of reviewing host's ENC config from CLI. Hammer should provide some command for dumping the YAML configuration.

Version-Release number of selected component (if applicable):
satellite 6.2

Actual results:
There are no such commands

Expected results:
Command `hammer host enc-dump --name host1.example.com` (or similar) that prints ENC YAML to stdout.

Comment 1 Tomas Strachota 2016-09-02 14:12:10 UTC
Created redmine issue http://projects.theforeman.org/issues/16423 from this bug

Comment 3 hprakash 2016-11-08 10:25:57 UTC
*** Bug 1392747 has been marked as a duplicate of this bug. ***

Comment 4 hprakash 2017-01-06 04:21:04 UTC
Any updates on this?

Comment 5 Josh Coopman 2017-04-25 02:27:34 UTC
Any updates?  Is this something that could potentially be added?

Comment 6 pm-sat@redhat.com 2018-02-22 13:15:57 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16423 has been resolved.

Comment 7 Chris Brown 2018-07-20 15:00:27 UTC
Created attachment 1465258 [details]
enc-dump command

Comment 8 Chris Brown 2018-07-20 15:01:39 UTC
Created attachment 1465269 [details]
enc-dump output

Output of hammer host enc-dump --name <host> on Satellite 6.4

Comment 11 errata-xmlrpc 2018-10-16 15:26:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.